OCC Main Page | DataExchange | Toolkits | Packages | Class Hierarchy | Data Structures | File List | Data Fields | Globals

# DataExchange
TKSTEPBase
StepBasic

# StepBasic_ProductDefinition Class Reference

`#include <StepBasic_ProductDefinition.hxx>`

Inheritance diagram for StepBasic_ProductDefinition:

[legend]

## Public Member Functions
Standard_EXPORT | StepBasic_ProductDefinition ()
| Returns a ProductDefinition .
virtual Standard_EXPORT void | Init (const Handle(TCollection_HAsciiString)&aId, const Handle(TCollection_HAsciiString)&aDescription, const Handle(StepBasic_ProductDefinitionFormation)&aFormation, const Handle(StepBasic_ProductDefinitionContext)&aFrameOfReference)
Standard_EXPORT void | SetId (const Handle(TCollection_HAsciiString)&aId)
Standard_EXPORT Handle_TCollection_HAsciiString | Id () const
Standard_EXPORT void | SetDescription (const Handle(TCollection_HAsciiString)&aDescription)
Standard_EXPORT Handle_TCollection_HAsciiString | Description () const
Standard_EXPORT void | SetFormation (const Handle(StepBasic_ProductDefinitionFormation)&aFormation)
Standard_EXPORT Handle_StepBasic_ProductDefinitionFormation | Formation () const
Standard_EXPORT void | SetFrameOfReference (const Handle(StepBasic_ProductDefinitionContext)&aFrameOfReference)
Standard_EXPORT Handle_StepBasic_ProductDefinitionContext | FrameOfReference () const
Standard_EXPORT const | Handle (Standard_Type)&DynamicType() const
## Private Attributes
Handle_TCollection_HAsciiString | id
Handle_TCollection_HAsciiString | description
Handle_StepBasic_ProductDefinitionFormation | formation
Handle_StepBasic_ProductDefinitionContext | frameOfReference

## Constructor & Destructor Documentation

Standard_EXPORT StepBasic_ProductDefinition::StepBasic_ProductDefinition | ( |  | ) |

## Member Function Documentation

Standard_EXPORT Handle_TCollection_HAsciiString StepBasic_ProductDefinition::Description | ( |  | ) | const

Standard_EXPORT Handle_StepBasic_ProductDefinitionFormation StepBasic_ProductDefinition::Formation | ( |  | ) | const

Standard_EXPORT Handle_StepBasic_ProductDefinitionContext StepBasic_ProductDefinition::FrameOfReference | ( |  | ) | const

Standard_EXPORT const StepBasic_ProductDefinition::Handle | ( | Standard_Type |  | ) | const

| Reimplemented in StepBasic_PhysicallyModeledProductDefinition, and StepBasic_ProductDefinitionWithAssociatedDocuments.

Standard_EXPORT Handle_TCollection_HAsciiString StepBasic_ProductDefinition::Id | ( |  | ) | const

virtual Standard_EXPORT void StepBasic_ProductDefinition::Init | ( | const Handle(TCollection_HAsciiString)& | aId,
|  | const Handle(TCollection_HAsciiString)& | aDescription,
|  | const Handle(StepBasic_ProductDefinitionFormation)& | aFormation,
|  | const Handle(StepBasic_ProductDefinitionContext)& | aFrameOfReference
| ) | `[virtual]`

Standard_EXPORT void StepBasic_ProductDefinition::SetDescription | ( | const Handle(TCollection_HAsciiString)& | aDescription | ) |

Standard_EXPORT void StepBasic_ProductDefinition::SetFormation | ( | const Handle(StepBasic_ProductDefinitionFormation)& | aFormation | ) |

Standard_EXPORT void StepBasic_ProductDefinition::SetFrameOfReference | ( | const Handle(StepBasic_ProductDefinitionContext)& | aFrameOfReference | ) |

Standard_EXPORT void StepBasic_ProductDefinition::SetId | ( | const Handle(TCollection_HAsciiString)& | aId | ) |

## Field Documentation

Handle_TCollection_HAsciiString StepBasic_ProductDefinition::description`[private]`

Handle_StepBasic_ProductDefinitionFormation StepBasic_ProductDefinition::formation`[private]`

Handle_StepBasic_ProductDefinitionContext StepBasic_ProductDefinition::frameOfReference`[private]`

Handle_TCollection_HAsciiString StepBasic_ProductDefinition::id`[private]`

The documentation for this class was generated from the following file:

- StepBasic_ProductDefinition.hxx